/**
 * Variables
 */
.page {
  --page-text-color: #333333;
  --page-bg-color-rgb: 255, 255, 255;
  --page-bg-color: rgb(var(--page-bg-color-rgb));

  --invert-text-color-rgb: var(--page-bg-color-rgb);
  --invert-text-color: rgb(var(--invert-text-color-rgb));

  --brand-color-rgb: 40, 70, 141;
  --brand-color: rgb(var(--brand-color-rgb));

  --brand2-color-rgb: var(--brand-color-rgb);
  --brand2-color: rgb(var(--brand2-color-rgb));

  --accent-color: rgb(238, 115, 38);

  --button-bg-color: #3aaa35;
  --button-text-color: var(--invert-text-color);

  --top-menu-bg-rgb: 247, 249, 251;
  --top-menu-bg-color: rgba(var(--top-menu-bg-rgb), 0.6);
  --top-menu-text-color: var(--brand2-color);

  --form-field-color: #f5f5f5;

  --box-shadow: 0 0.25rem 1.875rem 0 #0000001a;
  --nav-btn-shadow: 0.25rem 0.25rem 1rem 0 #0000001a;

  --mobile-menu-shadow: 0 0.25rem 0.625rem 0 rgba(var(--brand2-color-rgb), 0.1);

  --transition-duration: 0.2s;
  --transition-duration-slow: 1s;

  --full-width: 90rem;
  --content-width: 72.5rem;

  --section-header-font-size: 3rem;
}

.theme--kz {
  --brand-color-rgb: 58, 170, 53;
  --brand2-color-rgb: 51, 51, 51;

  --brand-color-dark-rgb: 5, 103, 52;
  --brand-color-dark: rgb(var(--brand-color-dark-rgb));

  --brand-color: rgb(var(--brand-color-rgb));
  --brand2-color: rgb(var(--brand2-color-rgb));

  --section-header-font-size: 3.75rem;
}

.theme--pr {
  --button-bg-color: #c2d344;
  --button-text-color: var(--page-text-color);

  --brand2-color-rgb: 51, 51, 51;
  --brand2-color: rgb(var(--brand2-color-rgb));

  --accent-color: #a578b1;
  --fill-color: #b8c1e4;

  --section-header-font-size: 3.75rem;
}

/**
 * Common styles
 */

* {
  box-sizing: border-box;
}

strong {
  font-weight: 700;
}

a {
  color: var(--brand-color, #006699);
}

@media (min-width: 50.0625em) {
  .mobile-only {
    display: none !important;
  }
}

@media (max-width: 50em) {
  .desktop-only {
    display: none !important;
  }
}

/**
 * Buttons
 */

.btn {
  color: var(--button-text-color);
  background-color: var(--button-bg-color);
  border-radius: 0.9em;
  text-decoration: none;
  cursor: pointer;
  font: inherit;
  font-weight: 600;
  padding: 0.75em 1.33em;
  display: inline-block;
  border: none;
}

.btn--full-width {
  width: 100%;
}

.btn--brand {
  background-color: var(--brand-color);
  color: var(--invert-text-color);
  font-weight: 500;
  padding: 0.75em 0.9em;
}

.btn--white {
  padding: 0.5em 1.75em;
  border: 0.0625rem solid;
  border-radius: 0.75em;
  background-color: transparent;
  font-weight: 400;
  color: currentColor;
}

.read-more-btn {
  all: unset;
  cursor: pointer;
  opacity: 0.3;
}

/**
 * Section
 */

.section {
  margin-inline: 8.75rem;
  margin-inline: clamp(1.25rem, 1.25rem + (100vw - 37.5rem) / 5.833, 8.75rem);
  max-width: none;
  margin-bottom: 5rem;
}

.section--full-width {
  margin-inline: 0;
}

.section--full-width .section__content {
  margin-inline: 8.75rem;
  margin-inline: clamp(1.25rem, 1.25rem + (100vw - 37.5rem) / 5.833, 8.75rem);
}

.section__header {
  font-weight: 800;
  font-size: var(--section-header-font-size);
  line-height: 1.2;
  color: var(--brand2-color);
  margin-top: 0;
  margin-bottom: 0.5em;
}

.section__solid-block {
  border-radius: 2.5rem;
  background-color: var(--brand-color);
  color: var(--invert-text-color);
  clip-path: border-box;
}

.section__white-block {
  border-radius: 1.875rem;
  box-shadow: var(--box-shadow);
}

@media (max-width: 50em) {
  .section {
    margin-inline: 1.25rem;
    margin-bottom: 2.5rem;
  }

  .section--full-width,
  .section--full-width-mobile {
    margin-inline: 0;
  }

  .section--full-width .section__content,
  .section--full-width-mobile .section__content {
    margin-inline: 1.25rem;
  }

  .section__solid-block {
    border-radius: 0;
    margin-inline: -1.25rem;
  }

  .section--full-width-mobile .section__solid-block {
    margin-inline: 0;
  }

  .section__header {
    font-size: 1.75rem;
  }
}

/**
 * Common slider elements
 */
.slider {
  --items-count: 3;
  --pic-ratio: calc(3 / 2);
  --shadow-padding: 0;

  /**
   * Fraction of gap (40px) to section content width (1160px)
   */
  --gap-fraction: calc(40 / 1160);
  --gap-size: calc(100% * var(--gap-fraction));

  /**
   * Height of dots block
   */
  --dots-padding: 0;

  position: relative;
}

.slider__btns {
  position: absolute;
  inset: 0;
  top: var(--shadow-padding);
  /**
   * To match the picture row
   */
  aspect-ratio: calc(
    var(--pic-ratio) * var(--items-count) /
      (1 - var(--gap-fraction) * (var(--items-count) - 1))
  );
  z-index: 1;
  pointer-events: none;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.slider--full-height .slider__btns {
  aspect-ratio: unset;
  bottom: var(--dots-padding);
}

.slider__btn {
  --btn-shift: -1.875rem;

  pointer-events: all;
  cursor: pointer;
  position: relative;
  left: var(--btn-shift);
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  border: none;
  background-color: var(--page-bg-color);
  box-shadow: var(--nav-btn-shadow);
  display: flex;
  align-items: center;
  justify-content: center;
}

.slider__btn[hidden] {
  display: none;
}

.slider__btn--right {
  left: auto;
  right: var(--btn-shift);
}

.slider__btn::after {
  content: "";
  background-image: url(/assets/chevron-right.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 0.625rem;
  height: 1.0625rem;
}

.slider__btn--left::after {
  transform: rotate(180deg);
}

.slider__btn:disabled {
  cursor: default;
}

.slider__btn:disabled::after {
  opacity: 0.3;
}

.slider__items {
  list-style: none;
  margin: calc(-1 * var(--shadow-padding));
  padding: var(--shadow-padding);
  scroll-padding: 0 var(--shadow-padding);

  display: flex;
  gap: var(--gap-size);
  overflow-x: scroll;
  scrollbar-width: none;
  scroll-snap-type: x mandatory;
  scroll-snap-stop: always;
}

.slider__items > * {
  scroll-snap-align: start;

  flex: 0 0
    calc(
      (100% - (var(--items-count) - 1) * var(--gap-size)) / var(--items-count)
    );
}

.slider__dots {
  margin-top: 1.5rem;
  justify-content: center;
  gap: 0.3125rem;

  /* display: flex; */
  display: none;
}

.slider__dot {
  width: 0.625rem;
  height: 0.625rem;
  border-radius: 50%;
  background-color: rgba(0, 0, 0, 0.15);
}

.slider__dot--active {
  background-color: var(--brand-color);
}

@media (max-width: 50em) {
  .slider__btn {
    --btn-shift: -1rem;
  }

  .slider {
    --dots-padding: 2.125rem;
  }

  .slider__dots {
    display: flex;
  }

  .news .slider {
    --dots-padding: 0;
  }

  .news .slider__dots {
    display: none;
  }
}

/**
 * News-like sliders
 */

.news__list {
  line-height: 1.2;
  word-break: break-word;
}

.news__item {
  position: relative;
}

a.news__container {
  text-decoration: none;
  color: inherit;
  display: block;
}

.news__container p,
.news__container h3 {
  margin-top: 0.5em;
  margin-bottom: 0;
}

.news__container time {
  display: block;
  font-size: 0.75rem;
  opacity: 0.4;
}

.news__container h3 {
  font-size: 1.375rem;
  font-weight: 600;
}

.news__text {
  font-size: 1.125rem;
}

.news__read-more {
  opacity: 0.3;
  font-weight: 600;
}

.news__image {
  width: 100%;
  height: auto;
  aspect-ratio: var(--pic-ratio);
  object-fit: cover;
  margin-bottom: 1.25rem;
  border-radius: 1.5rem;
}

.news__btns {
  display: none;
}

/**
 * General page layout
 */
.page,
.page__body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  min-height: 100vh;
}

.page {
  scroll-padding-top: 8.75rem;
  scroll-behavior: smooth;
}

.page__body {
  position: relative;
  display: flex;
  flex-direction: column;
  max-width: var(--full-width);
  margin: 0 auto;

  font-family: "Golos Text", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  line-height: 1.4;

  background-color: var(--page-bg-color);
  color: var(--page-text-color);
  scrollbar-gutter: stable;
}

.page__body:has(.top-menu--opened),
.page__body:has(dialog[open]) {
  overflow: hidden;
}

.page__header,
.page__footer,
.page__navigation {
  flex: none;
}

.page__main {
  flex: 1;
}

.page__navigation {
  position: fixed;
  inset: 0;
  bottom: auto;
  z-index: 4;
  margin-inline: 5rem;
  margin-inline: clamp(0.625rem, 0.625rem + (100vw - 37.5rem) / 10, 5rem);
}

.page__header {
  margin-top: 10.5rem;
}

.page--pr .page__header {
  margin-top: 0;
}

@media (min-width: 50.0625em) {
  .page {
    /* 90 = 1440px / 16px */
    font-size: min(100vw/90, 1em);
  }
}

@media (max-width: 50em) {
  .page {
    /* 25 = 400px / 16px */
    font-size: max(1em, 100vw/25);
    scroll-padding-top: 3.5rem;
  }

  .page__navigation {
    margin-inline: 0;
  }

  .page__header {
    margin-top: 3.5rem;
  }

  .page--pr .page__header {
    margin-top: 3.5rem;
  }
}

/**
 * Top menu
 */
.top-menu {
  margin-top: 2.25rem;
  margin-inline: auto;
  max-width: 78.125rem;

  color: var(--top-menu-text-color);
  background-color: var(--top-menu-bg-color);

  border-radius: 2.5rem;
  height: 6rem;
  padding: 0 1.5rem;

  backdrop-filter: blur(1.875rem);

  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;

  transition:
    color 0.3s,
    background-color 0.3s;
}

.top-menu--on-hero {
  background-color: rgba(247, 249, 251, 0.3);
  color: var(--invert-text-color);
}

.top-menu__home-link {
  display: flex;
}

.top-menu__logo {
  width: 10rem;
}

.page--kz .top-menu__logo {
  width: 15.625rem;
}

.top-menu__support-btn {
  font-size: 1.125rem;
  padding-inline: 2em;
}

.top-menu__submenu {
  color: var(--top-menu-text-color);
}

.top-menu__items,
.top-menu__submenu {
  list-style: none;
  margin: 0;
  padding: 0;
}

.top-menu__items {
  display: flex;
  gap: 1.5rem;
  font-weight: 500;
}

.top-menu__item {
  position: relative;
}

.top-menu__link {
  text-decoration: none;
  color: inherit;

  display: flex;
  align-items: center;
  gap: 0.125rem;
}

.top-menu__link--with-submenu > svg {
  height: 1em;
  width: 1em;
}

@media (min-width: 50.0625em) {
  .top-menu__submenu {
    --arrow-height: 0.75rem;

    min-width: 13rem;

    position: absolute;
    top: calc(100% + var(--arrow-height) + 0.5rem);
    right: 0.5rem;
    transform: translateX(50%);

    background-color: var(--page-bg-color);
    white-space: nowrap;

    box-shadow: var(--box-shadow);

    border-radius: 0.75rem;
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;

    visibility: hidden;
  }

  .top-menu__submenu::before {
    content: "";
    position: absolute;
    top: calc(-1 * var(--arrow-height) + 0.0625rem);
    left: 50%;
    transform: translateX(-50%);

    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 var(--arrow-height) var(--arrow-height) var(--arrow-height);
    border-color: transparent transparent var(--page-bg-color) transparent;
  }

  .top-menu__item--opened .top-menu__submenu {
    visibility: visible;
  }

  .top-menu__item--donate {
    display: none;
  }

  .top-menu__menu-btn {
    display: none;
  }
}

@media (max-width: 50em) {
  .top-menu {
    margin: 0;
    padding-inline: 1.25rem;
    border-radius: 0;
    transform: none;
    height: 3.5rem;
  }

  .top-menu__logo {
    width: auto;
    height: 2rem;
  }

  .top-menu__support-btn {
    display: none;
  }

  .top-menu::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    background-color: rgb(var(--top-menu-bg-rgb));
    box-shadow: var(--mobile-menu-shadow);
  }

  .top-menu__items {
    position: absolute;
    inset: 0;
    right: 0;
    left: 0;
    height: 100vh;
    background-color: var(--page-bg-color);
    overflow-y: auto;
    font-size: 1.25rem;
    padding: 1.5rem 1.25rem;
    padding-top: 5rem;
    z-index: -1;
    display: none;
  }
  .top-menu--opened .top-menu__items {
    display: block;
  }

  .top-menu__item {
    padding-block: 1.5rem;
    border-bottom: 0.0625rem solid rgba(var(--brand-color-rgb), 0.3);
  }

  .top-menu__item:first-child {
    padding-top: 0;
  }

  .top-menu__item:last-child {
    padding-bottom: 0;
    border-bottom: none;
  }

  .top-menu__submenu {
    visibility: visible;
    position: static;
    transform: none;
    margin-left: 1rem;
    margin-top: 1rem;

    display: flex;
    flex-direction: column;
    gap: 1rem;
  }

  .top-menu__link {
    font-weight: 800;
    cursor: default;
  }

  .top-menu__link--with-submenu > svg {
    display: none;
  }

  .top-menu__submenu .top-menu__link {
    font-weight: 400;
    cursor: pointer;
    display: inline;
  }

  .top-menu__link::after {
    content: none;
  }

  .top-menu__item--donate {
    display: block;
    font-size: 1rem;
  }

  .top-menu__menu-btn {
    width: 2.5rem;
    height: 2.5rem;
    margin-right: -0.625rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    cursor: pointer;

    background-color: transparent;
    background-image: url(/assets/menu-btn.svg);
    background-size: 100%;
  }

  .top-menu__menu-btn--opened {
    background-image: url(/assets/menu-btn-close.svg);
  }

  .page--kz .top-menu__logo {
    width: 11.375rem;
  }
}

.footer {
  background-color: var(--brand2-color);
  color: var(--invert-text-color);
  display: grid;
  grid-template-columns: repeat(4, 1fr);

  padding: 2.5rem 1.25rem;
  border-top-left-radius: 2.5rem;
  border-top-right-radius: 2.5rem;
}

.footer a:not(.btn) {
  color: inherit;
  text-decoration: none;
}

.footer__section {
  padding-inline: 1.875rem;
  border-left: 0.0625rem solid rgba(var(--invert-text-color-rgb), 0.3);
}

.footer__section:first-child {
  border-left: none;
}

.footer__donate-btn {
  font-size: 1.125rem;
  padding-inline: 2em;
}

.footer__section--logo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  font-size: 0.875rem;
}

.footer__logo {
  width: 10rem;
  height: 3rem;
}

.footer__section--links,
.footer__section--contacts {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.footer__section--links {
  font-weight: 700;
}

.footer__section--contacts > div:first-child {
  font-weight: 700;
}

@media (max-width: 50em) {
  .footer {
    padding: 0.625rem 1.25rem;
    grid-template-columns: 1fr;
    border-radius: 0;
  }

  .footer__logo {
    width: 9.375rem;
    height: 2.75rem;
  }

  .footer__section {
    padding-inline: 0;
    padding-block: 1.5rem;
    border-left: none;
    border-top: 0.0625rem solid rgba(var(--invert-text-color-rgb), 0.3);
  }

  .footer__section:first-child {
    border-top: none;
  }

  .footer__section--logo {
    flex-direction: row;
    gap: 1rem 1.5rem;
    flex-wrap: wrap;
    align-items: center;
  }

  .footer__donate-btn {
    font-size: 1rem;
    padding-inline: 1em;
  }

  .footer__section--links,
  .footer__section--contacts {
    gap: 0.5rem;
  }

  .footer__section--copyright {
    font-size: 0.875rem;
    opacity: 0.5;
  }
}

.payment-form {
  background-color: var(--page-bg-color);
  color: var(--page-text-color);
  border-radius: 1.875rem;
  padding: 3.125rem;

  display: flex;
  flex-direction: column;
  gap: 1.375rem;

  font-size: 1rem;

  accent-color: var(--brand2-color);
}

.payment-form--transparent,
.payment-form--transparent .payment-form {
  background-color: transparent;
}

.payment-form--transparent .payment-form__text {
  color: var(--invert-text-color);
}

.payment-form__fields {
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.payment-form__radio-label {
  cursor: pointer;
}

.payment-form__radio-label input[type="radio"] {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 0.0625rem;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 0.0625rem;
}

.payment-form__radio-label:has(input:checked) {
  color: #f0f;
}

.payment-form__schedule {
  display: flex;
}

.payment-form__btn-pill {
  padding: 0.5rem 0.75rem;
  font-size: 0.875rem;
  border: 0.0625rem solid;
  border-radius: 0.625rem;
  background-color: var(--page-bg-color);
}

.payment-form__btn-pill:first-child {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.payment-form__btn-pill:last-child {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.payment-form__btn-pill:has(input:checked) {
  background-color: var(--brand2-color);
  color: var(--invert-text-color);
  border-color: var(--brand2-color);
}

.payment-form__amounts {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 0.375rem;
}

.payment-form__amounts::after {
  content: "";
  flex: 1;
}

.payment-form__amounts label {
  padding: 0.5rem 0.75rem;
  background-color: var(--form-field-color);
  border-radius: 0.625rem;
  white-space: nowrap;
  flex: 1;
}

.payment-form__amounts label:has(input:checked) {
  background-color: var(--brand2-color);
  color: var(--invert-text-color);
}

.payment-form__amounts label:has(.payment-form__amount-input) {
  padding: 0;
}

.payment-form__amount-input {
  font: inherit;
  color: inherit;
  padding: 0.5rem 0.75rem;
  border: none;
  background: transparent;
}

.payment-form__amount-input::placeholder {
  color: inherit;
}

.payment-form__amount-input:focus {
  outline: none;
}

.payment-form__text-input {
  padding: 0.75rem 0.75rem;
  background-color: var(--form-field-color);
  border-radius: 0.625rem;
  border: none;
  width: 100%;
  font: inherit;
}

.payment-form__text-input::placeholder {
  color: var(--page-text-color);
  opacity: 0.3;
}

.payment-form__methods {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0.75rem;
}

.payment-form__methods label {
  padding: 0.5rem 0.75rem;
  background-color: var(--form-field-color);
  border: 0.09375rem solid var(--form-field-color);
  border-radius: 0.625rem;
  text-align: center;
  font-size: 0.625rem;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  gap: 0.25rem;
}

.payment-form__methods label:has(input:checked) {
  background-color: var(--page-bg-color);
  border-color: var(--button-bg-color);
  color: inherit;
}

.payment-form__methods label > div {
  opacity: 0.3;
}

.payment-form__methods label:has(input:checked) > div {
  opacity: 1;
}

.payment-form__method-icon {
  width: 5rem;
  height: 1.25rem;
}

.payment-form__method-icon--yapay {
  height: 1.125rem;
}

.payment-form__agreement {
  display: flex;
  align-items: flex-start;
  gap: 0.375rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.payment-form__agreement a {
  font-weight: 700;
  text-decoration: none;
  color: inherit;
}

.payment-form__checkbox {
  flex: none;
  width: 1.25rem;
  height: 1.25rem;
}

@media (max-width: 50em) {
  .payment-form {
    border-radius: 1rem;
    padding: 1rem;
    font-size: 0.875rem;
  }

  .payment-form__methods label {
    font-size: 0.5rem;
  }

  .payment-form .btn {
    font-size: 1rem;
  }

  .payment-form__method-icon {
    width: 3.75rem;
    height: 0.9375rem;
  }

  .payment-form__method-icon--yapay {
    height: 0.875rem;
  }
}
